Sdílet prostřednictvím


Entra Id Assignments - Update

Hromadně aktualizuje přiřazení přístupu k Entra.

PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview

Parametry identifikátoru URI

Name V Vyžadováno Typ Description
endpoint
path True

string (url)

Komunikační prostředek, například https://my-resource.communication.azure.com

api-version
query True

string

Verze rozhraní API k vyvolání

Text požadavku

Media Types: "application/merge-patch+json"

Name Typ Description

EntraAssignmentCreateOrUpdateRequest

Odpovědi

Name Typ Description
200 OK

EntraAssignmentsResponse

Úspěch

204 No Content

Žádný obsah

Other Status Codes

CommunicationErrorResponse

Chyba

Příklady

Update Assignments

Ukázkový požadavek

PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview

{
  "b27b64b9-39d2-44a3-869d-67700b74e805": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  },
  "eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
  "fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  }
}

Ukázková odpověď

{
  "value": [
    {
      "objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    },
    {
      "objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    }
  ]
}

Definice

Name Description
CommunicationError

Chyba Komunikační služby.

CommunicationErrorResponse

Chyba Komunikační služby.

EntraAssignment
EntraAssignmentCreateOrUpdateRequest
EntraAssignmentsResponse
EntraPrincipalType

CommunicationError

Chyba Komunikační služby.

Name Typ Description
code

string

Kód chyby.

details

CommunicationError[]

Další podrobnosti o konkrétních chybách, které vedly k této chybě.

innererror

CommunicationError

Vnitřní chyba, pokud existuje.

message

string

Chybová zpráva.

target

string

Cíl chyby.

CommunicationErrorResponse

Chyba Komunikační služby.

Name Typ Description
error

CommunicationError

Chyba Komunikační služby.

EntraAssignment

Name Typ Description
clientIds

string[]

objectId

string

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentCreateOrUpdateRequest

Name Typ Description
clientIds

string[]

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentsResponse

Name Typ Description
nextLink

string

value

EntraAssignment[]

EntraPrincipalType

Hodnota Description
user
group
tenant